import request from '@/utils/request'

// 查询定时发放优惠券队列列表
export function listSchedule(query) {
  return request({
    url: '/system/schedule/list',
    method: 'get',
    params: query
  })
}

// 查询定时发放优惠券队列详细
export function getSchedule(id) {
  return request({
    url: '/system/schedule/' + id,
    method: 'get'
  })
}

// 新增定时发放优惠券队列
export function addSchedule(data) {
  return request({
    url: '/system/schedule',
    method: 'post',
    data: data
  })
}

// 修改定时发放优惠券队列
export function updateSchedule(data) {
  return request({
    url: '/system/schedule',
    method: 'put',
    data: data
  })
}

// 删除定时发放优惠券队列
export function delSchedule(id) {
  return request({
    url: '/system/schedule/' + id,
    method: 'delete'
  })
}

// 导出定时发放优惠券队列
export function exportSchedule(query) {
  return request({
    url: '/system/schedule/export',
    method: 'get',
    params: query
  })
}